#ifndef __HAMSI_TABLES_H__
#define __HAMSI_TABLES_H__

#include "words.h"

extern const Byte rev[256];

// round constants
extern const Word a256[2][16];
extern const Word a512[2][32];

// IV's
extern const Word iv224[8];
extern const Word iv256[8];
extern const Word iv384[16];
extern const Word iv512[16];

// expansion tables
extern const Word T256[4][256][8];
extern const Word T512[8][256][16];

#endif
