//#include <iostream>
//#include <iomanip>
#include <stdio.h>
#include <stdlib.h>
#include "SHA3api_ref.h"

int main(int ac, char**av) {
    int hashbitsize=atoi(av[1]);
    int bsize=32;
    if (hashbitsize>300) bsize=64;
    unsigned long long howmany=(1LL<<atoi(av[2]));
    BitSequence cv[64];

    BitSequence dat[16] = { 0xaa, 0xf0, 0x0f, 0xcc, 0xac, 0xca, 0x96, 0x69, 
                            0xa9, 0x6c, 0xc9, 0x6a, 0x00, 0x99, 0x66, 0x00 };
    /*
    cout << "Doing Hamsi-" << setfill('0') << hashbitsize << ", "
         << howmany << " times, block size " << bsize << endl;
         */
    int dot=howmany/256;
    int line=dot*64;

    hashState state;
    Init(&state,hashbitsize);
    while (howmany) {
        Update(&state,dat,bsize*2);
        if ((--howmany%dot)==0) {
            if (howmany%line) { printf("."); fflush(NULL); }
            else printf(" %2i\n",(howmany/line));
        }
    }
    Final(&state,cv);
}
